REMOVEPKG(8)

NAVN
removepkg - fjern Slackware pakker.

SAMMENDRAG
removepkg pakkenavn

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] pakkenavn

BESKRIVELSE
removepkg fjerner en installert Slackware pakke, mens informasjon om fremdriften blir skrevet ut (til stdout). En pakke kan oppgis enten med sitt fulle navn (slik det er listet opp i /var/log/packages/), eller med den første delen av pakkens navn. For eksempel kan pakken foo-1.0-i486-1.tgz fjernes med følgende kommandoer: removepkg foo-1.0-i486-1.tgz (også gyldig: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Når filene slettes vil removepkg se igjennom innholdet i de andre pakkene på systemet, bare filer som er unike for pakken vil bli slettet. På samme måte vil også installasjons skriptene til de andre pakkene sjekkes før det besluttes om symbolske lenker i pakken skal slettes eller beholdes.

Å fjerne pakker (eller å installere dem) kan være en farlig beskjeft. Nettopp derfor er -warn parametre tilgjengelig. Med dette parametre vil ikke removepkg fjerne filene eller de symbolske lenkene, men en detaljert raport av hva den normalt ville ha slettet vil bli skrevet. For eksempel kan du benytte dette parametre (og kanskje videresende dette til less) før du fjerner pakker for å sjekke at du har tatt backup av viktige ting.

Når en pakke fjernes vil den originale listen over pakkens innhold flyttes fra /var/log/packages til /var/log/removed_packages. Installasjons skriptet vil på samme måte bli flyttet fra /var/log/scripts til /var/log/removed_scripts.

VALGMULIGHETER

-warn pakkenavn
    Skriv ut en raport (til stdout) om hvilke filer som normalt ville ha blitt fjernet, men ikke slett noe.

-preserve pakkenavn
    Med dette valget vil en sikkerhetskopi av pakkens innhold lagres i /var/log/setup/tmp/preserved_packages/pakkenavn.

-copy pakkenavn
    Lag en kopi av pakken i /var/log/setup/tmp/preserved_packages/pakkenavn, uten å avinstallere pakken. (samme effekt som -warn -preserve)

-keep
    Lagrer midlertidige arbeids filer som opprettes av removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Nyttig for feilsøking.

Det er mulig å fjerne pakker fra et annet filsystem en / ved å oppgi ROOT variabelen til removepkg:

ROOT=/mnt removepkg pakke

PROGRAMMERERE
Patrick J. Volkerding <volkerdi@slackware.com>, med forbedringer av Christian Franke <c.franke@acm.org>

SE OGSÅ
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)